@import 'assets/variables';

.root {
  display: block;
  padding: $topbar-margin $cell * 5;
}

.container {
  display: flex;
  margin-left: auto;
  margin-right: auto;

  width: 100%;
  max-width: $content-width-wide;
  flex-direction: column;
}

.headerWrapper {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  width: 100%;
  border-bottom: 2px rgba(34,36,38,.35) solid;
  padding-bottom: $cell * 2;
  margin-bottom: $cell * 3;
  .header {
    font-size: 2.2rem;
    line-height: 2.2rem;
  }

  .settingsCog {
    cursor: pointer;
    margin-bottom: $cell * -0.5;
    font-size: 1.2rem !important;
    transition: transform ease 0.2s;
    &:hover {
      transform: scale(1.1);
    }
  }
}

.loader {
  position: relative !important;
  margin-top: $cell * 10 !important;
}

.campaignDropdown {
  position: absolute;
  right: $cell * 9;
  top: $cell * 8;
}

.addButton {
  margin: 32px !important;
  height: 50px;
  width: 50px;
}

.npcCards {
  display: flex;
  flex-wrap: wrap;
}

.card {
  margin: $cell;
}

.selectedCampaign {
  font-size: 1.1rem;
  margin-left: $cell;
  margin-bottom: $cell * 2;
}

.searchAndSort {
  display: flex;
  padding: $cell 0;
  justify-content: space-between;
  margin-bottom: $cell * 3;

  .search {
    width: 100%;
    margin-right: $cell * 2;
    max-width: 500px;
    height: $cell * 6;
  }

  .sort {
    display: flex;
    align-items: center;

    .sortDropdown {
      font-size: 1.2rem;
      margin-right: $cell * 2;
      border-bottom: 2px solid transparent;
      transition: border linear 0.1s;

      &:hover {
        border-bottom: 2px solid $blood-red;
      }
    }

    .sortMenu {
      width: $cell * 15 !important;
      padding: $cell * 1 0 !important; 
    }


    .sortIcon {
      cursor: pointer;
      transition: transform ease 0.2s;
      &:hover {
        transform: scale(1.1);
      }
    }
  }
}

.pleaseLogin {
  margin-top: $cell * 10;
  font-size: 1.3rem;
  text-align: center;
}